%define anolis_release 1

Name:           perl-IO-CaptureOutput
Version:        1.1105
Release:        %{anolis_release}%{?dist}
Summary:        Capture STDOUT/STDERR from sub-processes and XS/C modules
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-CaptureOutput
Source0:        https://cpan.metacpan.org/modules/by-module/IO/IO-CaptureOutput-%{version}.tar.gz
BuildArch:      noarch
# Build:
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Temp) >= 0.16
BuildRequires:  perl(strict)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(File::Spec) >= 3.27
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test::More) >= 0.62

%description
%{summary}.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{version}-%{release}


%description doc
Doc files for %{name}

%prep
%setup -q -n IO-CaptureOutput-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::CaptureOutput.3*

%files doc
%doc Changes CONTRIBUTING.mkdn README

%changelog
* Sat Feb 04 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1105-1
- init from upstream
